/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLLIElement_H___INT_
#define __GdomHTMLLIElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLLIElement.h"
G_BEGIN_DECLS
class GDOMHTMLLIElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTMLLI_ELEMENT; }
    GDOMHTMLLIElement(PassRefPtr<WebCore::HTMLLIElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLLIElement_H___INT_*/
